package client

import (
	crc "git.loafle.net/commons_go/rpc/client"
	crpj "git.loafle.net/commons_go/rpc/protocol/json"
	crr "git.loafle.net/commons_go/rpc/registry"
)

func NewClientHandler(rpcInvoker crr.RPCInvoker) ClientHandler {
	ch := &ClientHandlers{}
	ch.RPCInvoker = rpcInvoker
	ch.Codec = crpj.NewClientCodec()

	return ch
}

type ClientHandlers struct {
	crc.ClientHandlers
}
